Represents a map.

### Hierarchy

- Events
  - Map

## Index

### Constructors

- constructor

### Properties

- _clickable
- _map
- RELIEF_SOURCE
- backend_gl

### Methods

- addControl
- addLayer
- addSource
- bicycleLayers
- contourLayers
- debug
- fitBounds
- getCenter
- getLanguage
- getMaxZoom
- getMinZoom
- getZoom
- hasLayer
- hasSource
- off
- on
- panTo
- reliefLayers
- remove
- removeControl
- removeLayer
- removeSource
- setCenter
- setLanguage
- setZoom
- isGL

## Constructors

### constructor

- new Map(options: MapOptions): Map

- - Defined in Map.ts:25

  #### Parameters

  - ##### options: MapOptions

  #### Returns Map

## Properties

### Private _clickable

_clickable: string[]

- Defined in Map.ts:25

### Private _map

_map: any

- Defined in Map.ts:24

### Static Private RELIEF_SOURCE

RELIEF_SOURCE: string

- Defined in Map.ts:23

### Static Private backend_gl

backend_gl: boolean

- Defined in Map.ts:22

## Methods

### addControl

- addControl(ctrl: Control): Map

- - Defined in Map.ts:98

  #### Parameters

  - ##### ctrl: Control

  #### Returns Map

### addLayer

- addLayer(layer: Layer): Map

- - Defined in Map.ts:132

  #### Parameters

  - ##### layer: Layer

  #### Returns Map

### addSource

- addSource(source: Source): Map

- - Defined in Map.ts:112

  #### Parameters

  - ##### source: Source

  #### Returns Map

### bicycleLayers

- bicycleLayers(state: boolean): Map

- - Defined in Map.ts:278

  Switch bicycle layers on or off.

  #### Parameters

  - ##### state: boolean

    Show or hides the layers

  #### Returns Map

### contourLayers

- contourLayers(state: boolean, options?: ContourOptions): Map

- - Defined in Map.ts:366

  Switch contour layers on or off.

  #### Parameters

  - ##### state: boolean

    Show or hides the layer

  - ##### Optional options: ContourOptions

    Options to choose elevation unit foot or meter

  #### Returns Map

### debug

- debug(state: boolean): Map

- - Defined in Map.ts:253

  #### Parameters

  - ##### state: boolean

  #### Returns Map

### fitBounds

- fitBounds(bounds: LatLngBounds, options?: FitBoundsOptions, event?: EventObject): Map

- - Defined in Map.ts:244

  #### Parameters

  - ##### bounds: LatLngBounds

  - ##### Optional options: FitBoundsOptions

  - ##### Optional event: EventObject

  #### Returns Map

### getCenter

- getCenter(): any

- - Defined in Map.ts:85

  #### Returns any

### getLanguage

- getLanguage(): string

- - Defined in Map.ts:267

  #### Returns string

### getMaxZoom

- getMaxZoom(): number

- - Defined in Map.ts:81

  #### Returns number

### getMinZoom

- getMinZoom(): number

- - Defined in Map.ts:77

  #### Returns number

### getZoom

- getZoom(): number

- - Defined in Map.ts:68

  #### Returns number

### hasLayer

- hasLayer(layer: Layer): boolean

- - Defined in Map.ts:159

  #### Parameters

  - ##### layer: Layer

  #### Returns boolean

### hasSource

- hasSource(source: Source): boolean

- - Defined in Map.ts:175

  #### Parameters

  - ##### source: Source

  #### Returns boolean

### off

- off(event: string, listener: any, targets?: string[]): Map

- Overwrites Events.off

  - Defined in Map.ts:220

  #### Parameters

  - ##### event: string

  - ##### listener: any

  - ##### Optional targets: string[]

  #### Returns Map

### on

- on(event: string, listener: any, targets?: string[]): Map

- Overwrites Events.on

  - Defined in Map.ts:183

  #### Parameters

  - ##### event: string

  - ##### listener: any

  - ##### Optional targets: string[]

  #### Returns Map

### panTo

- panTo(ll: any): Map

- - Defined in Map.ts:239

  #### Parameters

  - ##### ll: any

  #### Returns Map

### reliefLayers

- reliefLayers(state: boolean, options?: ReliefOptions): Map

- - Defined in Map.ts:302

  Switch relief layers on or off.

  #### Parameters

  - ##### state: boolean

    Show or hides the layer

  - ##### Optional options: ReliefOptions

    Option to choose raster or vector rendering

  #### Returns Map

### remove

- remove(): void

- - Defined in Map.ts:58

  #### Returns void

### removeControl

- removeControl(ctrl: Control): Map

- - Defined in Map.ts:103

  #### Parameters

  - ##### ctrl: Control

  #### Returns Map

### removeLayer

- removeLayer(layer: Layer): Map

- - Defined in Map.ts:145

  #### Parameters

  - ##### layer: Layer

  #### Returns Map

### removeSource

- removeSource(source: Source): Map

- - Defined in Map.ts:122

  #### Parameters

  - ##### source: Source

  #### Returns Map

### setCenter

- setCenter(ll: any): Map

- - Defined in Map.ts:89

  #### Parameters

  - ##### ll: any

  #### Returns Map

### setLanguage

- setLanguage(lang: string): Map

- - Defined in Map.ts:260

  #### Parameters

  - ##### lang: string

  #### Returns Map

### setZoom

- setZoom(zoom: number): Map

- - Defined in Map.ts:72

  #### Parameters

  - ##### zoom: number

  #### Returns Map

### Static isGL

- isGL(): boolean

- - Defined in Map.ts:64

  #### Returns boolean

Generated using TypeDoc